<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 04/25/2004 *
 * ===================                          Last change: 04/29/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-html_mail.php                               *
 * -------------------------------------------------------------------- *
 * Short description : HTML mails                                       *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : HTML-Mails                                       *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} elseif (!isMember()) {
	redirectToIndexMemberOnlyModule();
}

// Add description as navigation point
addYouAreHereLink('member', __FILE__);

if ((!isExtensionActive('html_mail')) && (!isAdmin())) {
	loadTemplate('admin_settings_saved', false, generateExtensionInactiveNotInstalledMessage('html_mail'));
	return;
} // END - if

// Class was found and loaded
if (isFormSent()) {
	// Save settings
	SQL_QUERY_ESC("UPDATE `{?_MYSQL_PREFIX?}_user_data` SET `html`='%s' WHERE `userid`=%s LIMIT 1",
		array(postRequestParameter('html'), getMemberId()), __FILE__, __LINE__);
	loadTemplate('admin_settings_saved', false, '{--MEMBER_SETTINGS_SAVED--}');
} else {
	// Prepare it
	$content['html_y'] = '';
	$content['html_n'] = '';
	$content['html_' . strtolower(getUserData('html'))] = ' checked="checked"';

	// Load main template
	loadTemplate('member_html_mail_settings', false, $content);
}

// [EOF]
?>
